from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class LineEndType(IntEnum):
    NONE = auto()
    ARROW = auto()
    CIRCLE = auto()
    SQUARE = auto()
    SPECIAL = auto()
